# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

Summary: The postmortem memory leak analysis library
Name: insanelib
Epoch: 0
Version: 1.0
Release: 2jpp
License: Sun Public License, Version 1.0
Group: Development/Libraries/Java
URL: http://performance.netbeans.org/insane/index.html
BuildArch: noarch
Source0: http://performance.netbeans.org/download/%{name}-%{version}.zip
BuildRoot: %{_tmppath}/%{name}-%{epoch}-%{version}-%{release}-buildroot
BuildRequires: jpackage-utils >= 0:1.6
BuildRequires: java-devel >= 0:1.3
BuildRequires: ant
Requires: java >= 0:1.3

%description
When doing performance work, one often faces questions like "how big is this
structure", "what happens if I register one more thing here" and so on. The
Insane technology anwers these questions, with quite simple solution for
reflective inspection of heap from inside of running VM.

%package javadoc
Group: Development/Documentation
Summary: Javadoc documentation for %{name}

%description javadoc
This package contains the Javadoc documentation for %{name}.

%prep
%{__rm} -rf $RPM_BUILD_ROOT

%setup -q 

%build
ant 

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__install} -d -m755 ${RPM_BUILD_ROOT}%{_javadir}
%{__install} -d -m755 ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}-%{version}
%{__install} -m 644 dist/%{name}.jar \
    ${RPM_BUILD_ROOT}%{_javadir}/%{name}-%{version}.jar
(
    cd ${RPM_BUILD_ROOT}%{_javadir}
    for jar in *-%{version}*; do
        %{__ln_s} -f $jar `echo $jar | sed "s|-%{version}||g"`
    done
)
%{__cp} -pr ${RPM_BUILD_DIR}/%{name}-%{version}/dist/javadoc/* \
    ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}-%{version}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Fri May 12 2006 Jason Corley <jason.corley@gmail.com> - 0:1.0-2jpp
- remove classpath declaration (unnecessary)

* Fri May 12 2006 Jason Corley <jason.corley@gmail.com> - 0:1.0-1jpp
- First JPackage release
- minor spec cleanup

* Mon Apr 1 2006 Jaroslav Tulach <jtulach@netbeans.org> - 0:0.9-1jpp
- First packaged release.

